ipe::PdfRef Class Reference
Ipe Base

`#include <ipepdfparser.h>`

Inherits ipe::PdfObj.

## Public Member Functions

| PdfRef (int val)
virtual const PdfRef * | ref () const noexcept
virtual void | write (Stream &stream, const PdfRenumber *renumber, bool inflate) const noexcept
int | value () const noexcept
Public Member Functions inherited from ipe::PdfObj
virtual | ~PdfObj ()=0
virtual const PdfNull * | null () const noexcept
virtual const PdfBool * | boolean () const noexcept
virtual const PdfNumber * | number () const noexcept
virtual const PdfString * | string () const noexcept
virtual const PdfName * | name () const noexcept
virtual const PdfArray * | array () const noexcept
virtual const PdfDict * | dict () const noexcept
String | repr () const noexcept

## Detailed Description

The PDF reference object (indirect object).

## Constructor & Destructor Documentation

## PdfRef()

ipe::PdfRef::PdfRef | ( | int | val | ) |

inline explicit

References ipe::PdfObj::ref(), and ipe::PdfObj::write().

## Member Function Documentation

## ref()

const PdfRef * PdfRef::ref | ( |  | ) | const

virtual noexcept

Return this object as PDF reference object.

Reimplemented from ipe::PdfObj.

## write()

void PdfRef::write | ( | Stream & | stream,
|  | const PdfRenumber * | renumber,
|  | bool | inflate
| ) |  | const

virtual noexcept

Implements ipe::PdfObj.

## value()

int ipe::PdfRef::value | ( |  | ) | const

inline noexcept

Referenced by ipe::PdfResources::collect(), ipe::Latex::createLatexSource(), ipe::Face::Face(), ipe::PdfResourceBase::getDeep(), ipe::PdfArray::obj(), ipe::PdfResources::PdfResources(), and ipe::PdfWriter::~PdfWriter().

The documentation for this class was generated from the following files:

- ipepdfparser.h
- ipepdfparser.cpp